extends ./includes/tmpl.pug 

block header 
    include includes/header-new.pug

block main   
    main.s-main 
                 
        div.container
            div.row.mb-6.align-items-center
                div.col-12.col-sm.order-sm-2.mb-4.mb-sm-0
                    div.bw-subscib.text-sm-right.mb-0 
                        span.mr-2 To use SAFT you need to 
                        button.btn.btn-md.btn-outline Subscribe
                div.col-12.col-sm-auto.order-md-1
                    div.db-section__toggle
                        button.tab.active SAFT           
                        button.tab Add Collateral    
            
            div.wf-settings.mb-5
                div.row 
                    div.col-12.col-md-auto
                        div.wf-settings__switcher
                            
                            div.switcher
                                input#simple-on.toggle.toggle-left(name='toggle' value='false' type='radio')
                                label.switcher__btn(for='simple-on') Simple
                                input#advanced-on.toggle.toggle-right(name='toggle' value='true' type='radio'  checked='')
                                label.switcher__btn(for='advanced-on') Advanced 
                            // div.label.ml-3 mode

            div.c-wrap.c-b-wrap#cb-saft
                p.text-orange.mt-0 You can only wrap the original ERC-721 tokens

                div.row.row-sm.mb-5 
                    div.col-12.col-lg-auto.pt-2.pb-3.pb-lg-0
                        label.input-label.mb-0 I want to:
                    div.col-auto.py-2
                        label.checkbox
                            input(type="radio" name="contract-type" checked)
                            span.check 
                            span.check-text use/mint my nft contract
                                span(data-tippy-content="Short help message for new users").i-tip
                    div.col-auto.py-2
                        label.checkbox
                            input(type="radio" name="contract-type" )
                            span.check 
                            span.check-text mint tokens with ENVELOP contract  
                                span(data-tippy-content="Short help message for new users").i-tip
                    div.col-auto.py-2
                        label.checkbox
                            input(type="radio" name="contract-type")
                            span.check 
                            span.check-text wrap emptiness
                                span(data-tippy-content="Short help message for new users").i-tip

                div.c-wrap__form         
                    form  
                        div.row
                            div.col.col-12.col-md-8.col-lg-6 
                                label.input-label Contract Address 
                                input(type="text", placeholder="Paste here").input-control
                                //div.collection-name <span>Collection:</span> <b>Sleeping Cats</b>
                            
                            div.col.col-12.col-md-4.col-lg-3    
                                label.input-label Unlock Time <small>(days)</small>
                                input(type="text", placeholder="").input-control
                                //div.collection-name <span>Date:</span> <b>18 May 2022</b>
                            
                            //- div.col.col-12.col-md-3.col-lg-3.mt-2.mt-md-5.pt-md-2.align-self-start  
                            //-     label.checkbox
                            //-         input(type="checkbox" checked)
                            //-         span.check 
                            //-         span.check-text Mint
                
                button.btn.btn-gray Mint an NFT
                         
            div.c-wrap#cb-standard 
                div.c-wrap__header 
                    div.h3 wNFT Standard
                div.row 
                    div.col-12.col-md-5 
                        div.input-group.mb-md-0
                            div.row
                                div.col-auto.my-2
                                    label.checkbox
                                        input(type="radio" name="wnft-standard")
                                        span.check 
                                        span.check-text 
                                            b ERC-721
                                div.col-auto.my-2
                                    label.checkbox
                                        input(type="radio" checked name="wnft-standard")
                                        span.check 
                                        span.check-text 
                                            b ERC-1155

            div.c-wrap.p-0#cb-advanced
                div.c-wrap__toggle.active
                    div.h3.mb-0 
                        b Advanced options
                div.c-wrap__dropdown 
                    div.row
                        div.col-12
                            div.input-group.mb-0
                                label.input-label.pb-1 Disable:
                                div.mb-3  
                                    label.checkbox
                                        input(type="checkbox" name="")
                                        span.check 
                                        span.check-text Unwrapping
                                            span(data-tippy-content="Short help message for new customers").i-tip.ml-1                                
                                div.mb-3 
                                    label.checkbox
                                        input(type="checkbox" name="")
                                        span.check 
                                        span.check-text Adding collateral
                                            span(data-tippy-content="Short help message for new customers").i-tip.ml-1 
                                div.mb-3
                                    label.checkbox
                                        input(type="checkbox" name="")
                                        span.check 
                                        span.check-text Transferring (Soulbound 
                                            span.text-nowrap Token)
                                                span(data-tippy-content="Short help message for new customers").i-tip.ml-1
                                p
                                    small.text-orange These options are&nbsp;irreversible. The custodian is&nbsp;accountable for&nbsp;any&nbsp;protocol-related actions.
         
            div.c-wrap#cb-transfer
                div.c-wrap__header 
                    div.h3 Transfer Fee
                      span(data-tippy-content="Short help message for new customers").i-tip.ml-1    
                div.c-wrap__form  
                    div.row 
                        div.col-md-7    
                            div.select-group
                                input(type="text", placeholder="0.000" value="200").input-control
                                div.select-coin
                                    div.select-coin__value
                                        span.field-unit
                                            span.i-coin
                                                img(src="../pics/coins/usdt.svg", alt="")
                                            | USDT 
                                        img(src="../pics/icons/i-arrow-down.svg", alt="").arrow

                                    ul.select-coin__list(style="display: none;") 
                                        li
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/eth.svg", alt="")
                                                | ETH 
                                        li
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/dai.svg", alt="")
                                                | DAI  
                                        li                                                
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/usdt.svg", alt="")
                                                | USDT 
                                        li 
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/usdc.svg", alt="")
                                                | USDC
                                        li                                                
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/niftsy.svg", alt="")
                                                | NIFTSY                                 
       
            div.c-wrap#cb-royalty
                div.c-wrap__header.d-block 
                    div.row.align-items-center 
                        div.col-12.col-md-auto
                            div.h3.mt-0  Royalty Recipients
                        div.col-12.col-md-auto   
                            label.checkbox
                                input(type="checkbox" checked)
                                span.check 
                                span.check-text Add the wNFT to the recipents’s list
                                    span(data-tippy-content="Short help message for new customers").i-tip.ml-1 

                div.c-wrap__form      

                    div.row.mb-1 
                        div.col.col-12.col-md-6
                            label.input-label Address
                                span(data-tippy-content="Short help message for new customers").i-tip 
                            input(type="text", placeholder="Paste here").input-control
                        div.col.col-12.col-md-2
                            label.input-label &nbsp;
                            button(type="submit").btn.btn-grad Add
                    div.row
                        div.col-sm-6.col-md-3
                            button.btn.btn-sm.btn-gray Divide percents evenly

                    //div.alert.alert-error.mt-3 Royalty percent is not equal 100


                div.c-wrap__table.mt-3 
                    div.item 
                        div.row 
                            div.mb-2.col-12.col-md-1 #1
                            div.mb-3.mb-md-2.col-12.col-md-4
                                span.text-break the wNFT
                                    span(data-tippy-content="Short help message for new customers").i-tip
                            div.mb-2.col-12.col-md-2
                                div.tb-input.tb-percent
                                    input(type="text" value="50.00").input-control
                            div.mb-2.col-12.col-md-4
                                span.col-legend Ammount: 
                                span.text-break 100.00


                    div.item 
                        div.row 
                            div.mb-2.col-12.col-md-1 #2
                            div.mb-3.mb-md-2.col-12.col-md-4
                                span.col-legend Token: 
                                span.text-break 0x8679a598.......213ac1185
                            div.mb-2.col-12.col-md-2
                                div.tb-input.tb-percent
                                    input(type="text" value="50.00").input-control
                            div.mb-2.col-12.col-md-4
                                span.col-legend Ammount: 
                                span.text-break 100.00
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")

            div.c-wrap.c-b-wrap#cb-recipients
                div.c-wrap__header
                    div.h3 Recipients
                div.c-wrap__form        
                    form  
                        div.row
                            div.col.col-12.col-md-5
                                label.input-label Recipient Address
                                input(type="text", placeholder="Paste here").input-control
                            div.col.col-12.col-md-4  
                                label.input-label Original NFT token ID
                                input(type="text", placeholder="").input-control
                            div.col.col-12.col-md-3 
                                label.input-label &nbsp;
                                button(type="submit").btn.btn-grad Add
                        
                        div.c-wrap__upload-row
                            button.btn-link.btn-csv.mr-md-3 Click to upload a CSV file
                            span.d-none.d-md-inline 
                                span.mr-3 or 
                                | drag and drop it here

                div.c-wrap__table.mt-3 
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #1 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #2 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")

                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #3 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")                                    
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #4 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")   
                    
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #5 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")   
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #6 
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="") 
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #7
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="") 
                    div.item 
                        div.row 
                            div.col-md-1.mb-2 #7
                            div.col-md-5.mb-2 
                                span.text-break 0x8679a598.......213ac1185
                            div.col-md-5.mb-2 ID  1222323213
                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="") 

            div.c-wrap.c-b-wrap.file-dragged
                //- div.upload-poopover
                //-     div.inner 
                //-         div.h3 Drop your file here 
                div.c-wrap__header#cb-collateral
                    div.h3 Collateral for each NFT
                    div.c-wrap__info 
                        div Enter <span class="text-grad">address = 0</span>, to add BNB
                        img(src='../pics/icons/i-attention.svg' alt='')   


                div.c-wrap__form      
                    form  
                        div.row
                            div.col.col-12.col-md-5
                                label.input-label ERC 20  Address
                                div.select-group
                                    input(type="text", placeholder="0.000").input-control
                                    div.select-coin
                                        div.select-coin__value
                                            span.field-unit
                                                span.i-coin
                                                    img(src="../pics/coins/techniftsy.svg", alt="")
                                                | techNIFTSY 
                                            img(src="../pics/icons/i-arrow-down.svg", alt="").arrow
    
                                        ul.select-coin__list(style="display: none;") 
                                            li
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/eth.svg", alt="")
                                                    | ETH 
                                            li
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/dai.svg", alt="")
                                                    | DAI  
                                            li                                                
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/usdt.svg", alt="")
                                                    | USDT 
                                            li 
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/usdc.svg", alt="")
                                                    | USDC
                                            li                                                
                                                span.field-unit
                                                    span.i-coin
                                                        img(src="../pics/coins/niftsy.svg", alt="")
                                                    | NIFTSY                                 
                            div.col.col-12.col-md-4  
                                label.input-label Amount
                                input(type="text", placeholder="").input-control
                            div.col.col-12.col-md-3 
                                label.input-label &nbsp;
                                button(type="submit").btn.btn-grad Add

                        div.c-wrap__upload-row
                            button(type="submit").btn-link.btn-csv.mr-md-3 Click to upload a CSV file
                            span.d-none.d-md-inline 
                                span.mr-3 or 
                                | drag and drop it here

                div.c-wrap__table.mt-3 
                    div.item 
                        div.row 
                            div.col-auto.col-md-2.mb-2.order-1
                                div.tb-coin 
                                    span.i-coin
                                        img(src="../pics/coins/eth.svg", alt="")
                                    span ETH   
                            div.col-md-3.mb-2.order-3.order-md-2   
                                span.col-legend Contract: 
                                span.text-break 0x39...17b
                            div.col-md-5.mb-2.order-4.order-md-3 
                                    span.col-legend Amount:   
                                    span.text-break 0.00023
                            div.col-auto.col-md-2.mb-2.order-2.order-md-4   ERC-20

                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")

                    div.item 
                        div.row 
                            div.col-auto.col-md-2.mb-2.order-1
                                div.tb-coin 
                                    span.i-coin
                                        img(src="../pics/coins/niftsy.svg", alt="")
                                    span NIFTSY   
                            div.col-md-3.mb-2.order-3.order-md-2   
                                span.col-legend Contract: 
                                span.text-break 0x39...17b
                            div.col-md-5.mb-2.order-4.order-md-3 
                                    span.col-legend Amount:   
                                    span.text-break 0.00023
                            div.col-auto.col-md-2.mb-2.order-2.order-md-4   ERC-20

                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")

                    div.item 
                        div.row 
                            div.col-auto.col-md-2.mb-2.order-1
                                div.tb-coin 
                                    span.i-coin
                                        img(src="../pics/coins/niftsy.svg", alt="")
                                    span NIFTSY   
                            div.col-md-3.mb-2.order-3.order-md-2   
                                span.col-legend Contract: 
                                span.text-break 0x39...17b
                            div.col-md-5.mb-2.order-4.order-md-3 
                                    span.col-legend Amount:   
                                    span.text-break 0.00023
                            div.col-auto.col-md-2.mb-2.order-2.order-md-4   ERC-20

                            button.btn-del
                                img(src="../pics/icons/i-del.svg", alt="")

                div.c-wrap__summary
                    div.h5.text-muted Collateral Summary

                    div.row 
                        div.col-12.col-sm-6.col-md-4.col-lg-3 
                            table 
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/eth.svg", alt="")
                                            span ETH 
                                    td 0.00023
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/niftsy.svg", alt="")
                                            span Niftsy 
                                    td 0.00046
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/bnb.svg", alt="")
                                            span BNB 
                                    td 0.00046
            
                        div.col-12.col-sm-6.col-md-4.col-lg-3
                            table 
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/usdc.svg", alt="")
                                            span USDC 
                                    td 1290
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/usdt.svg", alt="")
                                            span USDT 
                                    td 100
                                tr 
                                    td 
                                        div.tb-coin 
                                            span.i-coin
                                                img(src="../pics/coins/dai.svg", alt="")
                                            span DAI 
                                    td 0.00046
                        
            
            div.row.mb-7.mb-lg-9
            
                div.col-md-5.py-3.order-md-2


                div.col-md-4.py-3.order-md-3
                    button.btn.btn-lg.w-100(disabled) Wrap Batch               
                
                div.col-md-3.py-3.order-md-1
                    button(type="submit").btn.btn-lg.btn-gray.w-100 Clear Form


